Subject: bug#13152: 24.2.90; [REGRESSION] dired-get-marked-files changed

From: Leo <[email-masked]>
Date: Thu, 13 Dec 2012 09:20:31 +0800

On 2012-12-13 07:11 +0800, Juri Linkov wrote:
> (progn
>   (require 'dired-x)
>   (setq dired-guess-shell-alist-user
>         '(("." (progn
>                  (message "%S" files)
>                  (let (dired-guess-shell-alist-user)
>                    (dired-guess-default files)))))))
>
> This is bad practice but acceptable for ~/.emacs.

I fixed my setup before sending the bug report, pretty much as you did
here.

> Regarding changing the current buffer in `dired-mark-pop-up'
> where an expression is evaluated, I have doubts because
> it might broke code that relies on the fact that the
> selected window and the current buffer should be " *Marked Files*"
> as it was in all older versions.

Note in previous versions dired-mark-pop-up throws an error in that
buffer so I am pretty sure no code will expect COMMAND to be eval'd in 
" *Marked Files*".

Leo